[youtubei.js](../../../../README.md) / [Parser](../README.md) / parseRR

# Function: parseRR()

> **parseRR**(`actions`): [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`OpenPopupAction`](../../YTNodes/classes/OpenPopupAction.md) \| [`AppendContinuationItemsAction`](../../../../classes/AppendContinuationItemsAction.md) \| [`ReloadContinuationItemsCommand`](../../../../classes/ReloadContinuationItemsCommand.md) \| [`NavigateAction`](../../../../classes/NavigateAction.md) \| [`ShowMiniplayerCommand`](../../../../classes/ShowMiniplayerCommand.md)\>

Defined in: [src/parser/parser.ts:742](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/parser.ts#L742)

## Parameters

### actions

[`RawNode`](../../../../type-aliases/RawNode.md)[]

## Returns

[`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`OpenPopupAction`](../../YTNodes/classes/OpenPopupAction.md) \| [`AppendContinuationItemsAction`](../../../../classes/AppendContinuationItemsAction.md) \| [`ReloadContinuationItemsCommand`](../../../../classes/ReloadContinuationItemsCommand.md) \| [`NavigateAction`](../../../../classes/NavigateAction.md) \| [`ShowMiniplayerCommand`](../../../../classes/ShowMiniplayerCommand.md)\>
